Loading...
Searching...
No Matches
Opm::QuadrialteralQuadratureGeometry< Scalar, dim > Class Template Reference

Quadrature geometry for quadrilaterals. More...

`#include <quadraturegeometries.hh>`

## Public Types

enum | { numCorners = (1 << dim) }
using | LocalPosition = Dune::FieldVector<Scalar, dim>
using | GlobalPosition = Dune::FieldVector<Scalar, dim>

## Public Member Functions

Dune::GeometryType | type () const
template<class CornerContainer>
void | setCorners (const CornerContainer &corners, unsigned nCorners)
const GlobalPosition & | center () const
| Returns the center of weight of the polyhedron.
GlobalPosition | global (const LocalPosition &localPos) const
| Convert a local coordinate into a global one.
void | jacobian (Dune::FieldMatrix< Scalar, dim, dim > &jac, const LocalPosition &localPos) const
| Returns the Jacobian matrix of the local to global mapping at a given local position.
Scalar | integrationElement (const LocalPosition &localPos) const
| Return the determinant of the Jacobian of the mapping from local to global coordinates at a given local position.
const GlobalPosition & | corner (unsigned cornerIdx) const
| Return the position of the corner with a given index.
Scalar | cornerWeight (const LocalPosition &localPos, unsigned cornerIdx) const
| Return the weight of an individual corner for the local to global mapping.

## Detailed Description

template<class Scalar, unsigned dim>
class Opm::QuadrialteralQuadratureGeometry< Scalar, dim >

Quadrature geometry for quadrilaterals.

The documentation for this class was generated from the following file:

- opm/models/utils/quadraturegeometries.hh